#pragma once

#include "../interface.h"

//#include "../Control_Utility.h"
#include <map>
#include <vector>
#include <string>

/*
#define Register_UILua_QuestNPCList    \
	g_pLuaScript->RegisterFunc(	"GetQuestSelectButtonMode",	int (int),		CUI_QuestNPCList::GetQuestSelectButtonMode	);\
	g_pLuaScript->RegisterFunc(	"SelectQuest",				void (int),		CUI_QuestNPCList::SelectQuest	);\
	g_pLuaScript->RegisterFunc(	"OnLoad_QuestNPCList",		void (),		CUI_QuestNPCList::OnLoad_QuestNPCList	);\
*/

class CUI_QuestBook;
extern CUI_QuestBook*		g_pQuestBook;

class CUI_QuestBook : public CInterfaceBase //{//: // public CControlInteractUI
{
public:
	CUI_QuestBook	( CInterface* pObject );
	~CUI_QuestBook	( void );

	virtual	void			RegisterFunc();	

	vector< int >			m_vecQuestID;

};
